Skip to main content
GET
/
api
/
chats
cURL
curl --request GET \
  --url https://api.recoupable.com/api/chats
{
  "status": "success",
  "chats": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updatedAt": "2023-11-07T05:31:56Z",
      "artistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Query Parameters

artist_account_id
string<uuid>

Optional. Filter chats to only include those whose owning session's artistId matches the supplied artist account id. Combine with account_id to scope by both owner and artist.

account_id
string<uuid>

Filter to a specific account. Only applicable when the authenticated account has access to multiple accounts via organization membership.

Response

Chats retrieved successfully

status
enum<string>
required

Status of the request

Available options:
success
Example:

"success"

chats
object[]
required

Array of chat objects